summaryrefslogtreecommitdiff
path: root/x11-libs/vte/vte-0.34.2.ebuild
diff options
context:
space:
mode:
authoreroen2013-05-29 20:26:07 +0200
committereroen2013-05-29 20:26:07 +0200
commitb29f16f74629b0911594a1b9740a0eb37086d3cb (patch)
tree70752b464f8e091d536f842bdff0f9ac97e35373 /x11-libs/vte/vte-0.34.2.ebuild
parent6bb099ad89574d685f31bbc4b950a7fdc5e8f780 (diff)
downloaderoen-overlay-b29f16f74629b0911594a1b9740a0eb37086d3cb.tar.gz
eroen-overlay-b29f16f74629b0911594a1b9740a0eb37086d3cb.tar.bz2
eroen-overlay-b29f16f74629b0911594a1b9740a0eb37086d3cb.tar.xz
vte-0.34.2 from gentoo
Diffstat (limited to 'x11-libs/vte/vte-0.34.2.ebuild')
-rw-r--r--x11-libs/vte/vte-0.34.2.ebuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/x11-libs/vte/vte-0.34.2.ebuild b/x11-libs/vte/vte-0.34.2.ebuild
new file mode 100644
index 00000000..622131ef
--- /dev/null
+++ b/x11-libs/vte/vte-0.34.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/vte/vte-0.34.2.ebuild,v 1.12 2013/04/10 20:22:20 ago Exp $
+
+EAPI="4"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2
+
+DESCRIPTION="Library providing a virtual terminal emulator widget."
+HOMEPAGE="https://live.gnome.org/Terminal/VTE"
+
+LICENSE="LGPL-2+"
+SLOT="2.90"
+IUSE="debug glade +introspection"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~x64-solaris ~x86-solaris"
+
+PDEPEND="x11-libs/gnome-pty-helper"
+RDEPEND=">=dev-libs/glib-2.31.13:2
+ >=x11-libs/gtk+-3.1.9:3[introspection?]
+ >=x11-libs/pango-1.22.0
+
+ sys-libs/ncurses
+ x11-libs/libX11
+ x11-libs/libXft
+
+ glade? ( >=dev-util/glade-3.9:3.10 )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.0 )"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_prepare() {
+ # Python bindings are via gobject-introspection
+ # Ex: from gi.repository import Vte
+ # Do not disable gnome-pty-helper, bug #401389
+ G2CONF="${G2CONF}
+ --disable-deprecation
+ --disable-static
+ $(use_enable debug)
+ $(use_enable glade glade-catalogue)
+ $(use_enable introspection)"
+
+ if [[ ${CHOST} == *-interix* ]]; then
+ G2CONF="${G2CONF} --disable-Bsymbolic"
+
+ # interix stropts.h is empty...
+ export ac_cv_header_stropts_h=no
+ fi
+
+ DOCS="AUTHORS ChangeLog HACKING NEWS README"
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=663779
+ epatch "${FILESDIR}/${PN}-0.30.1-alt-meta.patch"
+
+ gnome2_src_prepare
+}
+
+src_install() {
+ gnome2_src_install
+ rm -v "${ED}usr/libexec/gnome-pty-helper" || die
+}